Energia

Serial

## readBytes()

### Description

Serial.readBytes() reads characters from the serial port into a buffer. The function terminates if the determined length has been read, or it times out (see Serial.setTimeout()). Serial.readBytes() returns the number of characters placed in the buffer. A 0 means no valid data was found. Serial.readBytes() inherits from the Stream utility class.

### Syntax

Serial.readBytes(buffer, length)

### Parameters

buffer: the buffer to store the bytes in (char[] or byte[])

length : the number of bytes to read (int)

### Returns

byte

### Example

#### See also

- Stream.readBytes()
- Serial.available()
- Serial.flush()
- Serial.peek()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia getting started guide is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the guide are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes